// Repair Kit Notify by MexicanSquirrel
// My first T2 script, if there's a better way to do something here, let me know.
// Simply flashes "Repair Kit Received!" next to the crosshair when you pick one up
// Setup the toggle key in settings under controls

// Version 1.2 - fixed a problem with the text sometimes getting stuck on the screen.
//             - added hudmover support

// Version 1.1 - changed the way I watch for a repair kit to be picked up. Now much more effecient. Thanks PanamaJack :)

function MexRepKitPickedUp()
{
	if (!$MexRepKitToggle) return;
	
	MexRepKitNotifyHUD.visible = 0;
	%time = 0;
	
	for(%i = 1; %i <= 20; %i++)
		schedule((%time += 250), 0, MexRepKitFlash);
}

function MexRepKitFlash()
{
	if (!$MexRepKitToggle) return;
	
	MexRepKitNotifyHUD.visible = !MexRepKitNotifyHUD.visible;
}



function MexRepKitToggle()
{
	$MexRepKitToggle = !$MexRepKitToggle;
}

function MexRepKitCheck(%msgType, %msgString)
{
	if (StrStr(%msgString, "You picked up a repair kit.") != -1)
		MexRepKitPickedUp();
}

function MexRepKithudMover() {
	if (isObject(HM) && isObject(HudMover))
		hudmover::addhud(MexRepKitNotifyHUD, "Repair Kit Notify");
}
		

package MexRepKitNotifyLoad
{
	function OptionsDlg::onWake( %this )
	{
	
		if ( $MexRepKitNotifyLoaded $= "false" )
		{
			$RemapName[$RemapCount] = "Toggle Repair Kit Notify";
			$RemapCmd[$RemapCount] = "MexRepKitToggle";
			$RemapCount++;
			$MexRepKitNotifyLoaded = "true";
		}
		parent::onWake( %this );
	}
	
	function PlayGui::onWake( %this )
	{
		if ($MexRepKitCallBack $= "false")
		{
			addMessageCallback('MsgItemPickup', MexRepKitCheck);
			$MexRepKitCallBack = "true";
		}
				
		parent::onWake( %this );
		
		if(!isObject(PlayGui)) return;
		
		if(isObject(MexRepKitNotifyHUD)) PlayGui.remove(MexRepKitNotifyHUD);
		
		new GuiTextCtrl(MexRepKitNotifyHUD) {
			profile = "CenterPrintTextProfile";
			horizSizing = "relative";
			vertSizing = "center";
			position = "348 229";
			extent = "140 22";
			minExtent = "8 8";
			visible = "0";
			helpTag = "0";
			text = "Repair Kit Received!";
			maxLength = "255";
		};

		MexRepKithudMover();
		PlayGui.add(MexRepKitNotifyHUD);
	}
		
};

activatePackage(MexRepKitNotifyLoad);
MexRepKithudMover();

$MexRepKitNotifyLoaded = "false";
$MexRepKitCallback = "false";
$MexRepKitToggle = 1;
